package cn.iocoder.yudao.module.system.enums;

/**
 * System 字典类型的枚举类
 *
 * @author 捷道源码
 */
public interface DictTypeConstants {

    String USER_TYPE = "user_type"; // 用户类型
    String COMMON_STATUS = "common_status"; // 系统状态

    // ========== SYSTEM 模块 ==========

    String USER_SEX = "system_user_sex"; // 用户性别

    String OPERATE_TYPE = "sys_operate_type"; // 操作类型

    String LOGIN_TYPE = "sys_login_type"; // 登录日志的类型
    String LOGIN_RESULT = "sys_login_result"; // 登录结果

    String ERROR_CODE_TYPE = "system_error_code_type"; // 错误码的类型枚举

    String SMS_CHANNEL_CODE = "sys_sms_channel_code"; // 短信渠道编码
    String SMS_TEMPLATE_TYPE = "sys_sms_template_type"; // 短信模板类型
    String SMS_SEND_STATUS = "sys_sms_send_status"; // 短信发送状态
    String SMS_RECEIVE_STATUS = "sys_sms_receive_status"; // 短信接收状态

    String ORDER_STATUS = "order_status";//订单状态

    String EXCEPTION_ORDER_TYPE = "order_error_type";//异常订单状态

    String RECEIVABLE_FEE_TYPE = "receivable_fee_type";//费用类型
    String PAYMENT_TYPE = "payment_type";//收款类型

    String ORDER_SPECIAL_NEED = "order_special_needs";//特需

}
